package com.nasc.custom.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.nasc.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 15:50
 * @Description: 远程桌面记录表
 * @return:
 */
public class NascVncDesktopRecord
{
    private static final long serialVersionUID = 1L;

    /** 远程桌面记录ID */
    private Long id;

    /** 远程桌面ID */
    private Long desktopId;

    /** 访问人员ID */
    private Long visitor;

    /** 访问时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date visitTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDesktopId() {
        return desktopId;
    }

    public void setDesktopId(Long desktopId) {
        this.desktopId = desktopId;
    }

    public Long getVisitor() {
        return visitor;
    }

    public void setVisitor(Long visitor) {
        this.visitor = visitor;
    }

    public Date getVisitTime() {
        return visitTime;
    }

    public void setVisitTime(Date visitTime) {
        this.visitTime = visitTime;
    }
}
